<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <title>log in</title>
    <meta charset="utf-8"/>
</head>
<body>
<div>
    <!-- Secure login.html inserted into main.html -->
    <div class="row">
        <div class="col-sm-4"></div>
        <div class="col-sm-4" style="background: white; border-radius: 25px;">
            <div id="login" align="center">

                <h1 style="color: black;">User Login : SIT2Job</h1>

                <div th:if="${loginFail}"
                     class="alert alert-danger alert-dismissible" role="alert">
                    <button type="button" class="close" data-dismiss="alert"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <span aria-hidden="true" th:text="${errorMsg}">&times;</span>
                </div>
                <div th:if="${loginSuccess}"
                     class="alert alert-success alert-dismissible" role="alert">
                    <button type="button" class="close" data-dismiss="alert"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <form th:action="@{/login}" method="post" role="form"
                      name="form1">
                    <p id="username-field">
                    <div class="form-group">
                        <label style="color: black">Username</label>
                        <div class="text-left w70 vaM">
                            <input type="text" class=" form-control" name="username" id="username">
                        </div>
                    </div>
                    </p>
                    <p id="password-field">
                        <label style="color: black">Password</label>
                    <div class="text-left w70 vaM">
                        <input type="password" class="form-control" name="password"
                               id="password">
                    </div>
                    <div style="color: #a94442" class="help-block"
                         th:if="${param.error}">
                        <span>Invalid username and password.</span>
                    </div>
                    </p>
                    <p id="signin-field">
                        <input class="btn btn-primary btn-large" type="submit"
                               id="signin" value="Sign in" />
                    </p>
                    <p>
                        <a href="/" class="btn btn-lg btn-primary"> <span
                                class="glyphicon glyphicon-home" aria-hidden="true"></span>
                            back to home
                        </a>
                    </p>
                </form>
            </div>
        </div>
    </div>

    <!-- Secure login.html inserted into main.html -->
</div>
</body>
</html>
<!--  layout:fragment="content" th:remove="tag" -->
<!-- layout:decorator="layout/main" -->